/*
 * Copyright (c) 2021, orioc and/or its affiliates. All rights reserved.
 * Use, Copy is subject to authorized license.
 */
 package com.bonus.sharedstation.app.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.sharedstation.app.domain.CarServiceDTO;
import com.bonus.sharedstation.app.dto.CarPageDTO;

/**
 * 汽车服务 Service
 *
 * @author 云归
 * @date 2024-11-15
 */
public interface ICarServiceService extends IService<CarServiceDTO> {





    /**
     * 汽车服务
     * @param dto 汽车服务入参
     * @return 操作影响行数
     */
    AjaxResult insert(CarServiceDTO dto);


    /**
     * 更新
     * @param dto  汽车服务入参
     * @return 操作影响行数
     */
    AjaxResult updateInfoById(CarServiceDTO dto);

    /**
     * 删除汽车服务
     *
     * @param dto 汽车服务入参
     * @return 操作影响行数
     */
    AjaxResult delete(CarServiceDTO dto);
    /**
     * 分页查询列表
     * @param dto 分页查询入参
     * @return 分页查询列表
     */
    AjaxResult getListPage(CarPageDTO dto);

    /**
     * app
     * @param dto 分页查询入参
     * @return 分页查询列表
     */
    AjaxResult getListPageApp(CarPageDTO dto);

    /**
     * 查询所有
     * @param dto 入参
     * @return 查询所有
     */
    AjaxResult selectAll(CarServiceDTO dto);


    /**
     * 详情
     * @param dto 入参
     * @return 查询详情
     */
    AjaxResult selectInfoById(CarServiceDTO dto);
}
